# $Revision: 1.22 $, $Date: 2006/05/21 16:13:22 $
Summary:	Tunneling IPX packets via IP network
Summary(pl):	Tunel dla pakietw IPX przez sie IP
Name:		ipxtund
Version:	1.3.0
Release:	6
License:	GPL
Group:		Daemons
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/%{name}-%{version}.tgz
# Source0-md5:	28bd6adeefafc2a3cd0ee39a44098bec
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-cfg.patch
Patch1:		%{name}-llh.patch
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
ipxtund connect IPX based LANs over TCP/IP. Especially, this allows
several parties at different LANs to play IPX based games as sharing
one LAN, if their LANs are connected to a TCP/IP WAN like Internet.

%description -l pl
ipxtund czy sieci bazujce na IPX poprzez TCP/IP. Narzdzie to
pozwala na np. granie w gry bazujce na IPX graczom w rnych sieciach
o ile tylko sieci te s poczone do sieci WAN TCP/IP takiej jak
Internet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export OPT="%{rpmcflags}"
./Configure
%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,7}} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/{rc.d/init.d,sysconfig},%{_var}/log}

install ipxtund			$RPM_BUILD_ROOT%{_sbindir}
install examples/ipxtund.conf	$RPM_BUILD_ROOT%{_sysconfdir}
install	*.7			$RPM_BUILD_ROOT%{_mandir}/man7
install %{SOURCE1}		$RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2}		$RPM_BUILD_ROOT/etc/sysconfig/%{name}
echo ".so %{name}.7" >	$RPM_BUILD_ROOT%{_mandir}/man5/%{name}.conf.5
touch				$RPM_BUILD_ROOT%{_var}/log/%{name}.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc INSTALL README
%attr(755,root,root) %{_sbindir}/%{name}
%attr(754,root,root) /etc/rc.d/init.d/ipxtund
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %ghost %{_var}/log/%{name}.log
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipxtund.spec,v $
Revision 1.22  2006/05/21 16:13:22  glen
- pass CC; rel 6

Revision 1.21  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.20  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.19  2004/04/26 15:57:43  adamg
- release 5 for Ac (4 is for Ra)

Revision 1.18  2004/02/22 20:54:26  areq
- add llh.patch

Revision 1.17  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.16  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:49:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/12/07 14:33:06  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.13  2002/11/27 21:10:39  juandon
- new %doc

Revision 1.12  2002/04/25 16:37:30  arturs
- fixed a small typo

Revision 1.11  2002/04/09 19:34:14  ankry
- removed man section from .so redirections
- release 4

Revision 1.10  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/09/24 14:04:45  qboosh
- release 3: Prereq: /sbin/chkconfig (rc-scripts does not require it)

Revision 1.7  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.5  2001/06/15 18:11:47  kloczek
- Prereq rc-scripts (not chkconfig).

Revision 1.4  2001/06/15 15:59:25  baggins
- release 2
- prereq chkconfig

Revision 1.3  2001/05/02 16:29:06  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.2  2000/08/27 16:06:31  kloczek
- adapterized and some cosmetics.

Revision 1.1  2000/08/27 15:53:14  misiek
- IPX over IP tunneling daemon
